<?php session_start();

require_once 'script_php/Softcom.php';
require_once 'script_php/ConexaoSQL.php';
require_once 'gerador/MysqlConsulta.php';
$consultaMysql = new MysqlConsulta;
$sql = new Softcom;

//se receber empresa pelo get
if(isset($_GET['empresa'])) {
    
$empresa = $_GET['empresa'];

$lojaPesquisa = $empresa;

switch ($lojaPesquisa)
{
    case 'MATRIZ':
        $lojaPesquisa = 'matriz';
        break;
    case 'LOJA 02':
       $lojaPesquisa = 'loja02';
        break;
    case 'LOJA 03':
        $lojaPesquisa = 'loja03';
        break;
    case 'LOJA 04':
        $lojaPesquisa = 'loja04';
        break;
    case 'LOJA 05':
        $lojaPesquisa = 'loja05';
        break;
}

} else {
    //se nao recebeu valor via get
    $empresa = $_SESSION['loja'];
}
?>

<!DOCTYPE html>
<html>
<head>

<?php include_once 'head.html' ?>

<title></title>
</head>

<body>
<?php include_once 'header.php'; ?>

<h4>Produtos negativos </h4>
<hr>
<h5>Escolha uma loja</h5>

<form action="negativos.php" method="get">

<select name="empresa" id="" class="form-select" aria-label="Default select example">
    <option value="MATRIZ"> MATRIZ  </option>
    <option value="LOJA 02"> LOJA 02 </option>
    <option value="LOJA 03"> LOJA 03 </option>
    <option value="LOJA 04"> LOJA 04 </option>
    <option value="LOJA 05"> LOJA 05 </option>
</select>

<input type="submit" class="btn btn-outline-info">

<form>

<p></p>
<table class='taable'>
<theader>
    <th> COD </th>
    <th> MERCADORIA </th>
    <th> QUANTIDADE </th>
	<th> EAN </th>
    <th> FORNECEDOR </th>
</theader>

<?php
$contagem = 0;
$dados = $sql->BuscarNegativos($empresa);
foreach ($dados as $dado){
$contagem++;

$retornoFornecedorRemoto = $consultaMysql->BuscarFornecedorPelaRazao($dado[4],$lojaPesquisa,$conexao);
?>

<tr>
    <td> <?php echo $dado[0]; ?> </td>
    <td> <?php echo $dado[1]; ?> </td>
    <td> <?php echo $dado[2]; ?> </td>
	<td> <?php echo $dado[3]; ?> </td>


    <?php if($retornoFornecedorRemoto){?>
    
             

    <td style="color:red !important;" title='existem notas no remoto desse fornecedor'> <?php echo $dado[4]; ?> </td>

    <?php }else{ ?>

        <td title='não existem notas desse fornecedor no remoto'> <?php echo $dado[4];?> </td>
<?php } ?>


</tr>

<?php } ?>

</table>

<p></p>

<h5><?php echo ' PRODUTOS ENCONTRADOS [ '. $contagem . ' ]' ; ?></h5>

<?php include_once 'footer.php' ?>